ne_ssl_dname
3

# ne_ssl_readable_dname

# ne_ssl_dname_cmp

SSL distinguished name handling

    	  #include <ne_ssl.h>

    	    const char *ne_ssl_readable_dname
    	    const ne_ssl_dname *dname

    	    int ne_ssl_dname_cmp
    	    const ne_ssl_dname *dn1
    	    const ne_ssl_dname *dn2

## Description

The `ne_ssl_readable_dname` function creates a single-line, human-readable string out of an ne_ssl_dname object. The returned string is `malloc`()-allocated, and must be `free`()d by the caller.

The `ne_ssl_dname_cmp` function compares two distinguished names, and returns zero if they are equal, or non-zero otherwise.

## Return value

`ne_ssl_readable_dname` returns a `malloc`-allocated string, and never &null;.

## Examples

See for an example use of `ne_ssl_readable_dname`.

## See also